Subject: Re: [MOBILE-IP] Dynamic Home Agent Assignment

From: Yingchun Xu <[email-masked]>
Date: Tue, 16 Nov 1999 15:31:14 -0600

Gabriel
Have you get any words from chairs how to resolve the issue? We need this since
the "Dynamic Home Agent Assignment" feature is
one of the requirement for cdma2000 network. This is definitely a requirement
when reverse tunneling becomes mandatory.

--Yingchun.

Gabriel Montenegro <[email-masked]> on 11/11/99 10:02:30 AM

Please respond to [email-masked]

Sent by:  Gabriel Montenegro <[email-masked]>

To:   [email-masked]
cc:    (Yingchun Xu/MW/US/3Com)
Subject:  Re: [MOBILE-IP] Dynamic Home Agent Assignment

good point. we can use language similar to what rfc2344 already has
for the short MN->FA tunnel in the encapsulated delivery style:

        The address of the agent as learned from the IP source
        address of the agent's most recent registration reply.

i suggest modifying the above very slightly (one word added) as
follows and to use it for reverse tunnels as well:

        The address of the agent as learned from the IP source
        address of the agent's most recent successful  registration
        reply.

the question is: should i produce an rfc2004version2 with the above
changes? any other tweaks needed for 2344?

phil? raj?

-gabriel

>In draft-ietf-mobileip-home-addr-alloc-00.txt, dynamic home agent function is
>described. It seems that this function break the reverse tunneling function as
>specified in RFC2344.
>
>In RFC2344, IP destination address is copied from  the Home Agent field within
>the Registration Request.
>
>In order to support dynamic Home Agent assignment, the IP destination address
>of
>a reverse tunneling IP packet has to be copied from the Home Agent field within
>the Registration Reply (Of course, the registration has to be successful).
>
>It seems a modification to RFC2344 is required to  support dynamic Home Agent
>assignment. Any comments?
>
>
>--Yingchun.

---

From: Gabriel Montenegro <[email-masked]>
Date: Tue, 16 Nov 1999 14:25:34 -0800

> Have you get any words from chairs how to resolve the issue? We need this
> since the "Dynamic Home Agent Assignment" feature is

i have had some private conversations with the chairs that lead me
to believe that the slight changes required in rfc2344 would be
ok to do. i sent the query last week hoping they would reply
and make public their opinion.

raj? phil?

-gabriel